Stop a run
curl --request POST \
--url https://api.pineyard.ai/workflow-runs/{runId}/cancel \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/{runId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "<string>",
"endedAt": "<string>"
}{
"error": "not_found"
}{
"error": "concurrent_modification"
}Runs
Stop a run
POST
/
workflow-runs
/
{runId}
/
cancel
Stop a run
curl --request POST \
--url https://api.pineyard.ai/workflow-runs/{runId}/cancel \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/{runId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "<string>",
"endedAt": "<string>"
}{
"error": "not_found"
}{
"error": "concurrent_modification"
}Required scope:
workflows.run
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.

